/**
 * SafeIntArrayTest class, creates a SafeIntArray object with
 * twenty (20) elements, populates it with random integers
 * in the range 1 to 100 (inclusive) and allows a user to
 * retrieve values stored in the SafeIntArray object, via
 * the command line.
 *
 * CS103 Homework 10 Solution - Problem 2 (a)
 */
public class SafeIntArrayTest1
{
  public static void main(String [] args)
  {
    int choice;

	SafeIntArray array = new SafeIntArray(20);

	// fill the array with random numbers between 1 and 100.
	for(int i = 0; i < array.size(); i++)
	{
	  array.setElementAt(i,(int)(Math.random() * 100 + 1));
	}

	// retrieve an index from the user
	System.out.print("Please enter an index to read (-1 to quit): ");
	choice = SavitchIn.readLineInt();

	while (choice != -1)
	{
	  try
	  {
            // print element (value) stored at specified index
	    System.out.println(
              "\n  the element at index " + choice + " is " + array.getElementAt(choice)
	    );
          }
          catch (ArrayIndexOutOfBoundsException e)
          {
	    System.out.println("\n  " + e.getMessage());
	  }

          // retrieve another index from the user
	  System.out.print("\nPlease enter another index (-1 to quit): ");
	  choice = SavitchIn.readLineInt();
	}

	System.out.println("Goodbye");
  }
}